/*
 * @Author: Fly
 * @Date: 2025-12-10 10:06:13
 * @LastEditTime: 2025-12-23 14:10:25
 * @Description: 
 */
import request from '@/utils/request';
//查询提现列表
export const getWithdrawalPage = (params) => {
    return request({
        url: '/withdrawal/withdrawal/page',
        method: 'get',
        params: params
    });
};
//获取提现详细信息
export const getWithdrawalDetail = (id) => {
    return request({
        url: '/withdrawal/withdrawal/info/' + id,
        method: 'get'
    });
};

//查询提现统计
export const getWithdrawalStatistics = (params) => {
    return request({
        url: '/withdrawal/withdrawal/statistics',
        method: 'get',
        params
    });
};

// 审核提现
export function setWithdrawalAudit(data) {
    return request({
        url: `/withdrawal/withdrawal/audit`,
        method: 'post',
        data
    })
}

/**
 * 导出提现列表
 */
export const exportWithdrawalApi = "/withdrawal/withdrawal/export"


// --------------------- 平台账目明细 ----------------------
/**
 * 查询平台账目明细列表
 * @param {*} params 
 * @returns 
 */
export const getBusinessDayBillPageApi = (params) => {
    return request({
        url: '/businessDayBill/businessDayBill/page',
        method: 'get',
        params
    });
};

/**
 * 统计经营明细
 */
export function getBusinessDayBillStatisticsApi(params) {
    return request({
        url: `/businessDayBill/businessDayBill/getStatistics`,
        method: 'get',
        params
    })
}

/**
 * 统计经营明细
 */
export const getBusinessDayBillExportApi = "/businessDayBill/businessDayBill/export"